# Generated from crysna-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name crysna

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: CRYstal Site aNAlyzser
License: MIT
URL: http://github.com/ippei94da/crysna
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.1
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(jeweler) >= 2.0
# BuildRequires: rubygem(jeweler) < 3
# BuildRequires: rubygem(simplecov) >= 0.11
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(progressbar) >= 0.21
# BuildRequires: rubygem(progressbar) < 1
# BuildRequires: rubygem(ruby-graphviz) >= 1.2
# BuildRequires: rubygem(ruby-graphviz) < 2
# BuildRequires: rubygem(mageo)
# BuildRequires: rubygem(mageo) < 1
# BuildRequires: rubygem(malge)
# BuildRequires: rubygem(malge) < 1
# BuildRequires: rubygem(crystalcell)
# BuildRequires: rubygem(crystalcell) < 1
# BuildRequires: rubygem(builtinextension) >= 0.1
# BuildRequires: rubygem(builtinextension) < 1
# BuildRequires: rubygem(maset)
# BuildRequires: rubygem(maset) < 1
# BuildRequires: rubygem(comana)
# BuildRequires: rubygem(comana) < 1
# BuildRequires: rubygem(gnuplot) >= 2.6
# BuildRequires: rubygem(gnuplot) < 3
# BuildRequires: rubygem(vasputils) >= 0.1
# BuildRequires: rubygem(vasputils) < 1
BuildArch: noarch

%description
This gem provide a site analysis for crystal cell.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/checkmodel
%{_bindir}/collectcell
%{_bindir}/fitframe
%{_bindir}/occupiedpolyhedralsite
%{_bindir}/occupiedscattersite
%{_bindir}/site2poscar
%{_bindir}/site2pov
%{_bindir}/sitecombination
%{_bindir}/sitemigration
%{_bindir}/sitemigrationdistance
%{_bindir}/siteoperation
%{_bindir}/sitesingle
%{_bindir}/siteuniq
%{_bindir}/symidsite
%{_bindir}/transitcell
%{gem_instdir}/CHANGES
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/crysna.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.4-1
- Initial package
